CEIL(3)

NAME
ceil, ceilf, ceill - ceiling function: smallest integral value not less than argument

SYNOPSIS
#include <math.h>

double ceil(double x);
float ceilf(float x);
long double ceill(long double x);

Link with -lm.

DESCRIPTION
These functions round x up to the nearest integer.

RETURN VALUE
The rounded integer value. If x is integral or infinite, x itself is returned.

ERRORS
No errors other than EDOM and ERANGE can occur. If x is NaN, then NaN is returned and errno may be set to EDOM.

CONFORMING TO
The ceil() function conforms to SVr4, POSIX.1-2001, 4.3BSD, C89, C99. The other functions are from C99.

NOTES
SUSv2 and POSIX.1-2001 contain text about overflow (which might set errno to ERANGE, or raise an exception). In practice, the result cannot overflow on any current machine, so this error-handling stuff is just nonsense. (More precisely, overflow can happen only when the maximum value of the exponent is smaller than the number of mantissa bits. For the IEEE-754 standard 32-bit and 64-bit floating point numbers the maximum value of the exponent is 128 (resp. 1024), and the number of mantissa bits is 24 (resp. 53).)

SEE ALSO
floor(3), lrint(3), nearbyint(3), rint(3), round(3), trunc(3)

COLOPHON
This page is part of release 2.70 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.